#!/bin/bash
# ver 0.3

# make sure, you insert the FULL-path to your folders
# e.g. /media/9394-9348-abcd-9679/moviedump/whatever

# Folder to search in
FOLDER="moviedump"

# Folders to place in
FOLDER_U="movies/u"
FOLDER_PG="movies/pg"
FOLDER_12="movies/12"
FOLDER_15="movies/15"
FOLDER_18="movies/18"

for D in "$(find "$FOLDER" -type d)"; do
	echo "---> Working on '$D' <---"
	if grep -s "UK:18" "$D/*.nfo"; then
		mv "$D" "$FOLDER_18"
		echo "moving '$D' to '$FOLDER_18'"
	elif grep -s "UK:15" "$D/*.nfo"; then
		mv "$D" "$FOLDER_15" && echo "moving '$D' to '$FOLDER_15'"
	elif grep -s "UK:12" "$D/*.nfo"; then
		mv "$D" "$FOLDER_12" && echo "moving '$D' to '$FOLDER_12'"
	elif grep -s "UK:PG" "$D/*.nfo"; then
		mv $D $FOLDER_PG && echo "moving '$D' to '$FOLDER_PG'"
	elif grep -s "UK:U" "$D/*.nfo"; then
		mv "$D" "$FOLDER_U" && echo "moving '$D' to '$FOLDER_U'"
	else
		echo "no rating found, skipping file"
	fi
done
